/*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2008  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code 
 * created by IBM Corporation.  This sample code is part of the 
 * WebSphere Premises Server and is warranted to perform its 
 * intended function only if used un-modified.  If you modify 
 * this code then it is considered provided "AS IS", without 
 * warranty of any kind.  Notwithstanding the foregoing, IBM 
 * shall not be liable for any damages arising out of your use 
 * of the sample code, even if they have been advised of the 
 * possibility of such damages.
 */

package com.ibm.premises.ct.utils;

/**
 * Common constants
 */
public class Constants {
	@SuppressWarnings("unused")
	private static final String COPYRIGHT = "(C) COPYRIGHT International Business Machines Corp., 2008. "
			+ "All Rights Reserved * Licensed Materials - Property of IBM "
			+ "US Government Users Restricted Rights - Use, duplication or "
			+ "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";
	
	public static final String RESOURCE_BUNDLE = "com.ibm.premises.ct.resources.Messages";
	public static final String REPORT_SESSION_ID = "com.ibm.premises.ct.report.session.id";
	public static final String JDBC_REF = "java:comp/env/jdbc/ibmctJdbcRef";
	
	public static final String ACTION_START = "start";
	public static final String ACTION_STOP = "stop";
	
	public static final String PROCESS_SHIPPING = "shipping";
	public static final String PROCESS_RECEIVING = "receiving";
	public static final String PROCESS_COMMISSIONING = "commissioning";
	
	public static final String EPCISXML_GMT_OFFSET = "-00:00";
	
	public static final String EPCISXML_EPCIS = "epcis";
	public static final String EPCISXML_EXTENSION = "extension";
	
	public static final String EPCISXML_EVENT_TIMEZONE_OFFSET = "eventTimeZoneOffset";
	public static final String EPCISXML_BIZ_STEP = "bizStep";
	public static final String EPCISXML_BIZ_STEP_PREFIX = "urn:epcglobal:cbv:bizstep:";
	
	public static final String EPCISXML_BIZ_LOCATION = "bizLocation";
	public static final String EPCISXML_BIZ_LOCATION_PREFIX = "urn:epcglobal:loc:";
	
	public static final String EPCISXML_READ_POINT = "readPoint";
	public static final String EPCISXML_READ_POINT_PREFIX = "";
	
	public static final String EPCISXML_DISPOSITION = "disposition";
	public static final String EPCISXML_DISPOSITION_PREFIX = "urn:epcglobal:cbv:disp:";
	public static final String EPCISXML_DISPOSITION_ACTIVE = "active";
	public static final String EPCISXML_DISPOSITION_IN_TRANSIT = "in_transit";
	public static final String EPCISXML_DISPOSITION_IN_PROGRESS = "in_progress";
	public static final String EPCISXML_DISPOSITION_UNKNOWN = "unknown";
	
	public static final String EPCISXML_TO_BIZ_LOCATION = "shipToBusinessLocationCode";
	public static final String EPCISXML_TO_BIZ_LOCATION_PREFIX = "urn:epcglobal:loc:"; 
	
	public static final String EPCISXML_FROM_BIZ_LOCATION = "shipFromBusinessLocationCode";
	public static final String EPCISXML_FROM_BIZ_LOCATION_PREFIX = "urn:epcglobal:loc:";
	
	public static final String EPCISXML_ASSET_TYPE = "assetType";
	public static final String EPCISXML_TAG_ID = "tagId";
	public static final String EPCISXML_TAG_DESCRIPTION = "tagDescription";
	public static final String EPCISXML_LOCATION_USER_NAME = "locationUserName";
	
}
