package com.ibm.premises.ct.ejb;

import java.util.List;

import com.ibm.premises.ct.dto.Asset;
import com.ibm.premises.ct.dto.ColumnMetaData;
import com.ibm.premises.ct.dto.Owner;
import com.ibm.premises.ct.exceptions.JdbcFacadeException;
import com.ibm.premises.ct.dto.ObserveReport;

/**
 * Local interface for Enterprise Bean: JdbcSessionFacade
 */
public interface JdbcSessionFacadeLocal extends javax.ejb.EJBLocalObject {

	/**
	 * @param asset
	 * @throws JdbcFacadeException
	 */
	public void createAsset(Asset asset) throws JdbcFacadeException;

	/**
	 * @param owner
	 * @throws JdbcFacadeException
	 */
	public void createOwner(Owner owner) throws JdbcFacadeException;

	/**
	 * @param id
	 * @throws JdbcFacadeException
	 */
	public void deleteAsset(String id) throws JdbcFacadeException;

	/**
	 * @param id
	 * @throws JdbcFacadeException
	 */
	public void deleteOwner(String id) throws JdbcFacadeException;

	/**
	 * @return
	 * @throws JdbcFacadeException
	 */
	public List<Asset> findAllAssets() throws JdbcFacadeException;

	/**
	 * @return
	 * @throws JdbcFacadeException
	 */
	public List<Owner> findAllOwners() throws JdbcFacadeException;

	/**
	 * @param id
	 * @return
	 * @throws JdbcFacadeException
	 */
	public Asset findAsset(String id) throws JdbcFacadeException;

	/**
	 * @param id
	 * @return
	 * @throws JdbcFacadeException
	 */
	public Owner findOwner(String id) throws JdbcFacadeException;

	/**
	 * @param asset
	 * @throws JdbcFacadeException
	 */
	public void updateAsset(Asset asset) throws JdbcFacadeException;

	/**
	 * @param owner
	 * @throws JdbcFacadeException
	 */
	public void updateOwner(Owner owner) throws JdbcFacadeException;

	/**
	 * @param schema
	 * @param table
	 * @return
	 * @throws JdbcFacadeException
	 */
	public List<ColumnMetaData> queryDBMetaData(String schema, String table) throws JdbcFacadeException;

	/**
	 * @param epcAssetType
	 * @return
	 * @throws JdbcFacadeException
	 */
	public List<Asset> findAllAssetsForEpcAssetType(int epcAssetType) throws JdbcFacadeException;

	/**
	 * @param sessionId
	 * @throws JdbcFacadeException
	 */
	public void deleteObserveReport(String sessionId) throws JdbcFacadeException;

	/**
	 * @param reports
	 * @throws JdbcFacadeException
	 */
	public void createObserveReport(List<ObserveReport> reports) throws JdbcFacadeException;
}
