/*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2008  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code 
 * created by IBM Corporation.  This sample code is part of the 
 * WebSphere Premises Server and is warranted to perform its 
 * intended function only if used un-modified.  If you modify 
 * this code then it is considered provided "AS IS", without 
 * warranty of any kind.  Notwithstanding the foregoing, IBM 
 * shall not be liable for any damages arising out of your use 
 * of the sample code, even if they have been advised of the 
 * possibility of such damages.
 */

package com.ibm.premises.ct.ejb;

import com.ibm.premises.ct.utils.Constants;

/**
 * Premises facade constants
 */
public class PremisesSessionFacadeConstants {
	@SuppressWarnings("unused")
	private static final String COPYRIGHT = "(C) COPYRIGHT International Business Machines Corp., 2008. "
			+ "All Rights Reserved * Licensed Materials - Property of IBM "
			+ "US Government Users Restricted Rights - Use, duplication or "
			+ "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";
	
	public static final String ACTION_START = Constants.ACTION_START;
	public static final String ACTION_STOP = Constants.ACTION_STOP;
	
	public static final String PROCESS_SHIPPING = Constants.PROCESS_SHIPPING;
	public static final String PROCESS_RECEIVING = Constants.PROCESS_RECEIVING;
	public static final String PROCESS_COMMISSIONING = Constants.PROCESS_COMMISSIONING;
	
	public static final String DISPOSITION_IN_TRANSIT = Constants.EPCISXML_DISPOSITION_IN_TRANSIT;
	public static final String DISPOSITION_IN_PROGRESS = Constants.EPCISXML_DISPOSITION_IN_PROGRESS;
	public static final String DISPOSITION_UNKNOWN = Constants.EPCISXML_DISPOSITION_UNKNOWN;
	
	public static final String PROP_BIZ_LOCATION = "com.ibm.premises.ct.bizlocation";
	
	public static final String EPCIS_EVENT_TIMEZONE_OFFSET = Constants.EPCISXML_EVENT_TIMEZONE_OFFSET;
	public static final String EPCIS_EVENT_TIMEZONE_OFFSET_GMT = Constants.EPCISXML_GMT_OFFSET;
	
	public static final String EPCIS_BIZ_STEP_KEY = Constants.EPCISXML_BIZ_STEP;
	public static final String EPCIS_BIZ_STEP_PREFIX = Constants.EPCISXML_BIZ_STEP_PREFIX;
	
	public static final String EPCIS_BIZ_LOCATION_KEY = Constants.EPCISXML_BIZ_LOCATION;
	public static final String EPCIS_BIZ_LOCATION_PREFIX = Constants.EPCISXML_BIZ_LOCATION_PREFIX;
	
	public static final String EPCIS_READ_POINT_KEY = Constants.EPCISXML_READ_POINT;
	public static final String EPCIS_READ_POINT_PREFIX = Constants.EPCISXML_READ_POINT_PREFIX;
	
	public static final String EPCIS_DISPOSITION_KEY = Constants.EPCISXML_DISPOSITION;
	public static final String EPCIS_DISPOSITION_PREFIX = Constants.EPCISXML_DISPOSITION_PREFIX;
	
	public static final String EPCIS_SHIP_TO_BIZ_LOCATION_KEY = Constants.EPCISXML_TO_BIZ_LOCATION;
	public static final String EPCIS_SHIP_TO_BIZ_LOCATION_PREFIX = Constants.EPCISXML_TO_BIZ_LOCATION_PREFIX;
	
	public static final String EPCIS_SHIP_FROM_BIZ_LOCATION_KEY = Constants.EPCISXML_FROM_BIZ_LOCATION;
	public static final String EPCIS_SHIP_FROM_BIZ_LOCATION_PREFIX = Constants.EPCISXML_FROM_BIZ_LOCATION_PREFIX;
	
}
