package com.ibm.premises.ct.ejb;

import com.ibm.premises.ct.exceptions.RucFacadeException;

import java.util.Map;
import com.ibm.sensorevent.model.ISensorEvent;

/**
 * Local interface for Enterprise Bean: RucSessionFacade
 */
public interface RucSessionFacadeLocal extends javax.ejb.EJBLocalObject {

	/**
	 * @param epcProfileId
	 * @param epcPackType
	 * @param epcAssetType
	 * @return
	 * @throws RucFacadeException
	 */
	public String epcgen(String epcProfileId, String epcPackType, String epcAssetType) throws RucFacadeException;

	/**
	 * @param mode
	 * @param printerId
	 * @param epcProfileName
	 * @param epcPackType
	 * @param epcUrn
	 * @param labelData
	 * @throws RucFacadeException
	 */
	public void print(String mode, String printerId, String epcProfileName, String epcPackType, String epcUrn, Map labelData) throws RucFacadeException;

	/**
	 * @param hexEPC
	 * @return
	 * @throws RucFacadeException
	 */
	public Map epcDecode(String hexEPC) throws RucFacadeException;

	/**
	 * @param location
	 * @param startDate
	 * @param endDate
	 * @return
	 * @throws RucFacadeException
	 */
	public Map[] getLocationTagHistory(String location, String startDate, String endDate) throws RucFacadeException;

	/**
	 * @param tagUrn
	 * @return
	 * @throws RucFacadeException
	 */
	public boolean validate(String tagUrn) throws RucFacadeException;

	/**
	 * @param event
	 * @throws RucFacadeException
	 */
	public void observe(ISensorEvent event) throws RucFacadeException;

	/**
	 * @param eventSourceId
	 * @param tagUrn
	 * @param assetType
	 * @throws RucFacadeException
	 */
	public void commission(String eventSourceId, String tagUrn, String assetType) throws RucFacadeException;
}
