-- #
-- # Licensed Materials - Property of IBM
-- # 5724-L17 WebSphere Premises Server
-- # (c) Copyright IBM Corp. 2008  All rights reserved.
-- #
-- # US Government Users Restricted Rights - Use, duplication or
-- # disclosure restricted by GSA ADP Schedule Contract with IBM
-- # Corp.
-- #
-- # DISCLAIMER OF WARRANTIES.  The following code is sample code 
-- # created by IBM Corporation.  This sample code is part of the 
-- # WebSphere Premises Server and is warranted to perform its 
-- # intended function only if used un-modified.  If you modify 
-- # this code then it is considered provided "AS IS", without 
-- # warranty of any kind.  Notwithstanding the foregoing, IBM 
-- # shall not be liable for any damages arising out of your use 
-- # of the sample code, even if they have been advised of the 
-- # possibility of such damages.
-- #

DROP TABLE SAGE.CT_ASSET;
DROP TABLE SAGE.CT_OWNER;
DROP TABLE SAGE.CT_REPORT_OBSERVE;

CREATE TABLE SAGE.CT_ASSET
	(ID VARCHAR(250) PRIMARY KEY NOT NULL,
	 DESCRIPTION VARCHAR(250) NOT NULL,
	 EPC_ASSET_TYPE INTEGER NOT NULL,
	 EPC_PACK_TYPE VARCHAR(250) NOT NULL,
	 LABEL_DATA XMLTYPE,
	 IS_HIDDEN VARCHAR(8));

ALTER TABLE SAGE.CT_ASSET ADD CONSTRAINT UV_EPCASSETTYPE UNIQUE (EPC_ASSET_TYPE);

CREATE TABLE SAGE.CT_OWNER
	(ID VARCHAR(250) PRIMARY KEY NOT NULL,
	 DESCRIPTION VARCHAR(250));
	 
CREATE TABLE SAGE.CT_REPORT_OBSERVE
	(ID VARCHAR(250) PRIMARY KEY NOT NULL,
	 SESSION_ID VARCHAR(250),
	 RECORD_TIME VARCHAR(250),
	 EVENT_TIME VARCHAR(250),
	 PROCESS_ACTION VARCHAR(250),
	 LOCATION_USERNAME VARCHAR(250),
 	 SUPPLIER_ID VARCHAR(250),
	 TAG_URN VARCHAR(250),
	 TAG_DESCRIPTION VARCHAR(250),
	 TAG_HEX VARCHAR(250));

COMMIT;