<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%
/*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2008  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code 
 * created by IBM Corporation.  This sample code is part of the 
 * WebSphere Premises Server and is warranted to perform its 
 * intended function only if used un-modified.  If you modify 
 * this code then it is considered provided "AS IS", without 
 * warranty of any kind.  Notwithstanding the foregoing, IBM 
 * shall not be liable for any damages arising out of your use 
 * of the sample code, even if they have been advised of the 
 * possibility of such damages.
 */
%>

<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page errorPage="/error.jsp" %>
<%@page import="com.ibm.premises.ct.utils.UserRoles" %>
<%@page import="java.util.ResourceBundle" %>
<%@page import="com.ibm.ws.security.core.SecurityContext" %>

<%
ResourceBundle rb = ResourceBundle.getBundle("com.ibm.premises.ct.ui.resources.Messages");
UserRoles userRoles = new UserRoles(request);
%>

<HTML lang="<%=rb.getString("ibmct.ui.language")%>" dir="<%=rb.getString("ibmct.ui.direction")%>">

<HEAD>
<TITLE><%=rb.getString("ibmct.ui.title")%></TITLE>
<LINK href="/ibmct/theme/Master.css" rel="stylesheet" type="text/css">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<SCRIPT language="JavaScript" src="../misc/ajax.js"></SCRIPT>
<SCRIPT language="JavaScript" src="../misc/ibmctAjax.js"></SCRIPT>
<SCRIPT language="JavaScript" src="../misc/notebookWizard.js"></SCRIPT>
<SCRIPT language="JavaScript" src="../misc/utils.js"></SCRIPT>
<SCRIPT language="JavaScript">
<!--

//window.onerror = function(msg, url, l) {
//	alert("Error: " + msg + "\nURL: " + url + "\nLine: " + l);
//	return true;
//}

// -->
</SCRIPT>
</HEAD>

<BODY onresize="resize()" onload="createWizard()">

<SCRIPT language="JavaScript">
<!--

ajaxErrorUnsupportedBrowser = "<%=rb.getString("ibmct.ui.ajax.error.supported.browser")%>";

function resize() {
	updateStatusDivSize();
}

function initWizard() {
	addPage("portalPage", <%=userRoles.isUserRolePortal%>, "<%=rb.getString("ibmct.ui.portal.tab")%>");
	addPage("printPage", <%=userRoles.isUserRolePrint%>, "<%=rb.getString("ibmct.ui.print.tab")%>");
	addPage("reportPage", <%=userRoles.isUserRoleReport%>, "<%=rb.getString("ibmct.ui.report.tab")%>");
	addPage("statusPage", <%=userRoles.isUserRoleBase%>, "<%=rb.getString("ibmct.ui.status.tab")%>");
	addPage("adminPage", <%=userRoles.isUserRoleAdmin%>, "<%=rb.getString("ibmct.ui.admin.tab")%>");
	addPage("aboutPage", <%=userRoles.isUserRoleBase%>, "<%=rb.getString("ibmct.ui.about.tab")%>");
}

function initWizardPage(pageId) {
	if (pageId == "portalPage") {
		initPortalPage();
	}
	
	if (pageId == "printPage") {
		initPrintPage();
	}
	
	if (pageId == "reportPage") {
		initReportPage();
	}
	
	if (pageId == "statusPage") {
		initStatusPage();
	}
	
	if (pageId == "adminPage") {
		initAdminPage();
	}
	
	if (pageId == "aboutPage") {
		// no-op
	}
}

function destroyWizardPage(pageId) {
	if (pageId == "portalPage") {
		stopRefreshPortal();
	}
	
	if (pageId == "printPage") {
		// no-op
	}
	
	if (pageId == "reportPage") {
		// no-op
	}
	
	if (pageId == "statusPage") {
		stopRefreshStatus();
	}
	
	if (pageId == "adminPage") {
		// no-op
	}
	
	if (pageId == "aboutPage") {
		// no-op
	}
}

function getAvailableDivSize() {
	var obj = document.getElementById("bannerImage");
	if (obj == null) {
		return 0;
	}

	bannerHeight = obj.height;

    if (document.layers) { 
        //netscape 
        divHeight = window.innerHeight - bannerHeight;
    } else if (document.all) { 
        //mac IE and (not PC IE) 
        divHeight = document.body.offsetHeight - bannerHeight;
    } else { 
        //works for safari - same code as for netscape 
        divHeight = window.innerHeight - bannerHeight;
    }

	// since I can't query the tabs height, assume 100
	tabsHeight = 100;
	
    return divHeight - tabsHeight;
}

// -->
</SCRIPT>

<CENTER>
<TABLE>
	<CAPTION><%=rb.getString("ibmct.ui.main.table.caption")%></CAPTION>
	<TR>
		<TD>
			<IMG border="0" src="../images/ibmct_banner.jpg" alt="<%=rb.getString("ibmct.ui.title")%>" id="bannerImage">	
		</TD>
	</TR>
	
	<% if (SecurityContext.isSecurityEnabled()) { %>
	<TR>
		<TD>
			<TABLE>
				<TR>
					<TD width="100%">&nbsp;</TD>
					<TD nowrap>
						<A href="../logout.jsp"><%=rb.getString("ibmct.ui.logout")%></A>
					</TD>
				</TR>
			</TABLE>
		</TD>
	</TR>
	<% } %>
	
	<TR>
		<TD>
			<DIV id="NotebookWizardTabs"></DIV>
		</TD>
	</TR>
	
	<TR>
		<TD>
			<jsp:include page="portalPage.jsp" flush="false"/>
		</TD>
	</TR>
	
	<TR>
		<TD>
			<jsp:include page="printPage.jsp" flush="false"/>
		</TD>
	</TR>
	
	<TR>
		<TD>
			<jsp:include page="reportPage.jsp" flush="false"/>
		</TD>
	</TR>
	
	<TR>
		<TD>
			<jsp:include page="statusPage.jsp" flush="false"/>
		</TD>
	</TR>
	
	<TR>
		<TD>
			<jsp:include page="adminPage.jsp" flush="false"/>
		</TD>
	</TR>
	
	<TR>
		<TD>
			<jsp:include page="aboutPage.jsp" flush="false"/>
		</TD>
	</TR>

</TABLE>
</CENTER>

</BODY>
</HTML>
