<%
/*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2008  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code 
 * created by IBM Corporation.  This sample code is part of the 
 * WebSphere Premises Server and is warranted to perform its 
 * intended function only if used un-modified.  If you modify 
 * this code then it is considered provided "AS IS", without 
 * warranty of any kind.  Notwithstanding the foregoing, IBM 
 * shall not be liable for any damages arising out of your use 
 * of the sample code, even if they have been advised of the 
 * possibility of such damages.
 */
%>

<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="com.ibm.premises.ct.servlets.actions.PortalAction" %>
<%@page import="java.util.ResourceBundle" %>

<%
ResourceBundle rb = ResourceBundle.getBundle("com.ibm.premises.ct.ui.resources.Messages");
%>

<SCRIPT language="JavaScript">
<!--

var refreshPortalTimer = "";
var stopPortalTimer = false;

var portalCurrentLocationObj = "";
var portalCurrentProcessIndex = -1;

var portalLocationsOptionsId = "<%=PortalAction.UI_LOCATION_OPTIONS%>";
var portalActionOptionsId = "<%=PortalAction.UI_ACTION_OPTIONS%>";
var portalProcessOptionsId = "<%=PortalAction.UI_PROCESS_OPTIONS%>";

var portalNameId = "<%=PortalAction.UI_PORTAL_NAME%>";
var portalLocationId = "<%=PortalAction.LOCATION%>";
var portalActionId = "<%=PortalAction.ACTION%>" 
var portalProcessId = "<%=PortalAction.PROCESS%>";
var portalSupplierId = "<%=PortalAction.SUPPLIER%>";
var portalSubmitId = "<%=PortalAction.UI_SUBMIT%>";

var portalActions = new Array();
portalActions[0] = new Array();
portalActions[0][0] = "-1";
portalActions[0][1] = "<%=rb.getString("ibmct.ui.portal.action.prompt")%>";
portalActions[1] = new Array();
portalActions[1][0] = "<%=PortalAction.ACTION_START%>";
portalActions[1][1] = "<%=rb.getString("ibmct.ui.portal.action.start")%>";
portalActions[2] = new Array();
portalActions[2][0] = "<%=PortalAction.ACTION_STOP%>";
portalActions[2][1] = "<%=rb.getString("ibmct.ui.portal.action.stop")%>";

var portalProcesses = new Array();
portalProcesses[0] = new Array();
portalProcesses[0][0] = "-1";
portalProcesses[0][1] = "<%=rb.getString("ibmct.ui.portal.process.prompt")%>";
portalProcesses[1] = new Array();
portalProcesses[1][0] = "<%=PortalAction.PROCESS_SHIPPING%>";
portalProcesses[1][1] = "<%=rb.getString("ibmct.ui.portal.process.shipping")%>";
portalProcesses[2] = new Array();
portalProcesses[2][0] = "<%=PortalAction.PROCESS_RECEIVING%>";
portalProcesses[2][1] = "<%=rb.getString("ibmct.ui.portal.process.receiving")%>";

function initPortalPage() {
	stopPortalTimer = false;
	
	updatePortalLocations();
	
	// init the portal name
	var portalNameObj = document.getElementById(portalNameId);
	portalNameObj.innerHTML = '';
	
	// init the location ID
	setElementValue(portalLocationId, '');
	
	// init the action
	var html = 
		'<SELECT id="' + portalActionId + '" name="' + portalActionId + '" size="1">' +
		'<OPTION value="' + portalActions[0][0] + '">' + portalActions[0][1] + '</OPTION>' +
		'</SELECT>';
		
	actionsDiv = document.getElementById(portalActionOptionsId);
	actionsDiv.innerHTML = html;
	
	setElementIndex(portalActionId, 0);
	
	// init the process
	var html = 
		'<SELECT id="' + portalProcessId + '" name="' + portalProcessId + '" size="1">' +
		'<OPTION value="' + portalProcesses[0][0] + '">' + portalProcesses[0][1] + '</OPTION>' +
		'</SELECT>';
		
	processDiv = document.getElementById(portalProcessOptionsId);
	processDiv.innerHTML = html;
	
	setElementIndex(portalProcessId, 0);
	
	// init the supplier ID
	setElementValue(portalSupplierId, '');
}

function stopRefreshPortal() {
	stopPortalTimer = true;
}

function updatePortalLocations() {
	// get the locations
	var jsonObj = ibmctAjaxGetLocations();

	var html = '';

	for (i=0; i<jsonObj.locations.length; i++) {
		locationObj = jsonObj.locations[i];
		locationId = locationObj.id;
		locationDescription = locationObj.description;
		locationImage = "../images/<%=rb.getString("ibmct.ui.portal.location.off.image")%>";
		locationAltText = "<%=rb.getString("ibmct.ui.portal.location.off.text")%>";
		if (locationObj.started == "true") {
			locationImage = "../images/<%=rb.getString("ibmct.ui.portal.location.on.image")%>";
			locationAltText = "<%=rb.getString("ibmct.ui.portal.location.on.text")%>";
		}
		
		html +=
			'<IMG src="' + locationImage + '" alt="' + locationAltText + '">&nbsp;' + 
			'<A href="#" onclick="onclickLocations(\'' + locationId + '\'); return false;">' +
			locationDescription + 
			'</A>' +
			'<BR>';
	}
	
	locationsDiv = document.getElementById(portalLocationsOptionsId);
	locationsDiv.innerHTML = html;
	
	if (!stopPortalTimer) {
		refreshPortalTimer = setTimeout("updatePortalLocations()", 5000);
	}
}

function onclickLocations(locationId) {
	// get the location
	var jsonObj = ibmctAjaxGetLocation(locationId);
	portalCurrentLocationObj = jsonObj;
	
	// update the portal name
	var portalNameObj = document.getElementById(portalNameId);
	portalNameObj.innerHTML = jsonObj.location.description;
	
	// update the portal ID
	setElementValue(portalLocationId, jsonObj.location.id);
	
	// update the action
	var html = 
		'<SELECT id="' + portalActionId + '" name="' + portalActionId + '" size="1">';
	
	for (i=0; i<portalActions.length; i++) {
		if (jsonObj.location.action == portalActions[i][0]) {
			html +=
				'<OPTION value="' + portalActions[i][0] + '" selected>' + portalActions[i][1] + '</OPTION>';
		} else {
			html +=
				'<OPTION value="' + portalActions[i][0] + '">' + portalActions[i][1] + '</OPTION>';
		}
	}
		
	html +=
		'</SELECT>';
		
	actionsDiv = document.getElementById(portalActionOptionsId);
	actionsDiv.innerHTML = html;
	
	// update the process
	html = 
		'<SELECT id="' + portalProcessId + '" name="' + portalProcessId + '" size="1" onchange="onchangeProcess()">';
	
	portalCurrentProcessIndex = 0;
	for (i=0; i<portalProcesses.length; i++) {
		if (jsonObj.location.process == portalProcesses[i][0]) {
			portalCurrentProcessIndex = i;
			html +=
				'<OPTION value="' + portalProcesses[i][0] + '" selected>' + portalProcesses[i][1] + '</OPTION>';
		} else {
			html +=
				'<OPTION value="' + portalProcesses[i][0] + '">' + portalProcesses[i][1] + '</OPTION>';
		}
	}
		
	html +=
		'</SELECT>';
		
	processDiv = document.getElementById(portalProcessOptionsId);
	processDiv.innerHTML = html;
	
	// update the supplier
	setElementValue(portalSupplierId, decodeURIComponent(jsonObj.location.supplierId));
	if (getElementValue(portalProcessId) == "<%=PortalAction.PROCESS_RECEIVING%>") {
		// disable the supplier if the process is set to receiving
		disableElement(portalSupplierId);
	} else {
		enableElement(portalSupplierId);
	}
}

function onchangeProcess() {
	if (getElementIndex(portalProcessId) == 0) {
		// disable the supplier if no process is selected
		disableElement(portalSupplierId);
		return;
	}
	
	if (getElementValue(portalProcessId) == "<%=PortalAction.PROCESS_SHIPPING%>") {
		// for shipping, enable the supplier
		if (portalCurrentLocationObj != "") {
			// there's a current location object; set the supplierID to the previous supplierID (when shipping)
			// or an empty string (when receiving)
			if (portalCurrentLocationObj.location.process == "<%=PortalAction.PROCESS_SHIPPING%>") {
				setElementValue(portalSupplierId, decodeURIComponent(portalCurrentLocationObj.location.supplierId));
			} else {
				setElementValue(portalSupplierId, '');
			}
		} else {
			// default to ''
			setElementValue(portalSupplierId, '');
		}
		enableElement(portalSupplierId);
	} else {
		// for receiving, disable the supplier
		setElementValue(portalSupplierId, "<%=rb.getString("ibmct.ui.portal.supplier.instock")%>");
		disableElement(portalSupplierId);
	}
}

function validatePortal() {
	// an action is required
	if (getElementIndex(portalActionId) == 0) {
		alert("<%=rb.getString("ibmct.ui.portal.action.error")%>");
		setElementFocus(portalActionId);
		return false;
	}
	
	// if action is stop, no need to validate the remaining fields
	if (getElementValue(portalActionId) == "<%=PortalAction.ACTION_STOP%>") {
		return true;
	}
	
	// a process is required
	if (getElementIndex(portalProcessId) == 0) {
		alert("<%=rb.getString("ibmct.ui.portal.process.error")%>");
		setElementFocus(portalProcessId);
		return false;
	}	
	
	// if action is start, a supplier is required
	if (getElementValue(portalActionId) == "<%=PortalAction.ACTION_START%>") {
		if (getElementValue(portalSupplierId) == "") {
			alert("<%=rb.getString("ibmct.ui.portal.supplier.error")%>");
			setElementFocus(portalSupplierId);
			return false;
		}
	}
	
	// restore any process and supplierID when selecting stop
	if (getElementValue(portalActionId) == "<%=PortalAction.ACTION_STOP%>") {
		if (portalCurrentLocationObj != "") {
			setElementIndex(portalProcessId, portalCurrentProcessIndex);
			setElementValue(portalSupplierId, decodeURIComponent(portalCurrentLocationObj.location.supplierId));		
		}
	}
	
	// enable the supplier ID if process is shipping
	// this is in case the supplier ID was disabled in case receiving was selected
	// (which disabled the supplier ID)
	if (getElementValue(portalProcessId) == "<%=PortalAction.PROCESS_SHIPPING%>") {
		enableElement(portalSupplierId);
	}
	
	// if shipping, remove non-alphanumeric characters from the supplier ID
	if (getElementValue(portalProcessId) == "<%=PortalAction.PROCESS_SHIPPING%>") {
		removeNonAlphaNumericsFromElementValue(portalSupplierId);
	}
	
	return true;
}

function doPortal() {
	if (!validatePortal()) {
		return false;
	}
	
	var locationId = getElementValue(portalLocationId);
	var action = getElementValue(portalActionId);
	var process = getElementValue(portalProcessId);
	var supplierId = getElementValue(portalSupplierId);	
	
	jsonObj = ibmctAjaxPortal(locationId, action, process, supplierId);

	if (typeof jsonObj.statusMessage != "undefined") {
		result = formatMessage('<%=rb.getString("ibmct.ui.action.result")%>', jsonObj.statusMessage);
		alert(decodeURIComponent(result));
	}
}

// -->
</SCRIPT>

<DIV id="portalPage" style="display:none">

<TABLE>
<CAPTION><%=rb.getString("ibmct.ui.portal.tab")%></CAPTION>
<TR valign="top">
	<TD nowrap>
		<DIV id="<%=PortalAction.UI_LOCATION_OPTIONS%>"></DIV>
	</TD>
	
	<TD width="50" nowrap>
		&nbsp;
	</TD>
	
	<TD width="100%" nowrap>
		<FIELDSET>
		<LEGEND><%=rb.getString("ibmct.ui.portal.details")%></LEGEND>
		
		<FORM method="POST" action="#" onsubmit="return false">
		<TABLE>
		<CAPTION><%=rb.getString("ibmct.ui.portal.details")%></CAPTION>
			<TR>
				<TH scope="row">
					<%=rb.getString("ibmct.ui.portal.portal")%>
				</TH>
				<TD>
					<DIV id="<%=PortalAction.UI_PORTAL_NAME%>"></DIV>
					<INPUT type="hidden" id="<%=PortalAction.LOCATION%>" name="<%=PortalAction.LOCATION%>" value="">
				</TD>
			</TR>
			
			<TR>
				<TH scope="row">
					<%=rb.getString("ibmct.ui.portal.action")%>
				</TH>
				<TD>
					<DIV id="<%=PortalAction.UI_ACTION_OPTIONS%>"></DIV>
				</TD>
			</TR>
			
			<TR>
				<TH scope="row">
					<%=rb.getString("ibmct.ui.portal.process")%>
				</TH>
				<TD>
					<DIV id="<%=PortalAction.UI_PROCESS_OPTIONS%>"></DIV>
				</TD>
			</TR>
			
			<TR>
				<TH scope="row">
					<%=rb.getString("ibmct.ui.portal.supplier")%>
				</TH>
				<TD>
					<INPUT type="text" name="<%=PortalAction.SUPPLIER%>" id="<%=PortalAction.SUPPLIER%>">
				</TD>
			</TR>
			
			<TR>
				<TD colspan="2">
					<BR>
					<INPUT type="button" id="<%=PortalAction.UI_SUBMIT%>" value="<%=rb.getString("ibmct.ui.portal.submit")%>" onclick="doPortal()"/>
				</TD>
			</TR>
		</TABLE>
		</FORM>
		
		</FIELDSET>
	</TD>
</TR>
</TABLE>

</DIV>



