<%
/*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2008  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code 
 * created by IBM Corporation.  This sample code is part of the 
 * WebSphere Premises Server and is warranted to perform its 
 * intended function only if used un-modified.  If you modify 
 * this code then it is considered provided "AS IS", without 
 * warranty of any kind.  Notwithstanding the foregoing, IBM 
 * shall not be liable for any damages arising out of your use 
 * of the sample code, even if they have been advised of the 
 * possibility of such damages.
 */
%>

<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="com.ibm.premises.ct.servlets.actions.PrintAction" %>
<%@page import="com.ibm.premises.ct.servlets.actions.ReprintAction" %>
<%@page import="java.util.ResourceBundle" %>

<%
ResourceBundle rb = ResourceBundle.getBundle("com.ibm.premises.ct.ui.resources.Messages");
%>

<SCRIPT language="JavaScript">
<!--

var printPrinterOptionsId = "<%=PrintAction.UI_PRINTER_OPTIONS%>";
var printPrinterId = "<%=PrintAction.PRINTER%>";

var printEpcProfileOptionsId = "<%=PrintAction.UI_EPC_PROFILE_OPTIONS%>";
var printEpcProfileId = "<%=PrintAction.EPC_PROFILE%>";

var printAssetTypeOptionsId = "<%=PrintAction.UI_ASSET_TYPE_OPTIONS%>";
var printAssetTypeId = "<%=PrintAction.ASSET_TYPE%>";

var printCountId = "<%=PrintAction.COUNT%>";

var printMaxCount = "<%=PrintAction.PROPERTY_PRINTER_MAX_COUNT_DEFAULT%>";

var printSubmitId = "<%=PrintAction.UI_SUBMIT%>";

var reprintEpcProfileOptionsId = "<%=ReprintAction.UI_EPC_PROFILE_OPTIONS%>";
var reprintEpcProfileId = "<%=ReprintAction.EPC_PROFILE%>";

var reprintPrinterOptionsId = "<%=ReprintAction.UI_PRINTER_OPTIONS%>";
var reprintPrinterId = "<%=ReprintAction.PRINTER%>";

var reprintTagidId = "<%=ReprintAction.TAGID%>";

var reprintSubmitId = "<%=ReprintAction.UI_SUBMIT%>";

function initPrintPage() {
	// init the print printers
	var jsonObj = ibmctAjaxGetPrinters();
	
	printerOptions = "";
	for (i=0; i<jsonObj.printers.length; i++) {
		printerId = decodeURIComponent(jsonObj.printers[i].id);
		printerDescription = decodeURIComponent(jsonObj.printers[i].description);
		printerOptions += '<OPTION value="' + printerId + '">' + printerDescription + '</OPTION>';
	}

	var obj = document.getElementById(printPrinterOptionsId);

	html = 
		'<SELECT size="1" name="' + printPrinterId + '" id="' + printPrinterId + '">' +
		'<OPTION value="-1"><%=rb.getString("ibmct.ui.print.printer.prompt")%></OPTION>' +
		printerOptions +
		'</SELECT>';
	
	obj.innerHTML = html;

	// init the print EPC profiles
	jsonObj = ibmctAjaxGetEpcProfiles();
	
	profileOptions = "";
	for (i=0; i<jsonObj.epcProfiles.length; i++) {
		profileId = decodeURIComponent(jsonObj.epcProfiles[i].id);
		profileDescription = decodeURIComponent(jsonObj.epcProfiles[i].description);
		profileOptions += '<OPTION value="' + profileId + '">' + profileDescription + '</OPTION>';
	}

	var obj = document.getElementById(printEpcProfileOptionsId);

	html = 
		'<SELECT size="1" name="' + printEpcProfileId + '" id="' + printEpcProfileId + '" onchange="onchangePrintEpcProfile()">' +
		'<OPTION value="-1"><%=rb.getString("ibmct.ui.print.epc.profile.prompt")%></OPTION>' +
		profileOptions +
		'</SELECT>';

	obj.innerHTML = html;

	// init the print asset types
	var obj = document.getElementById(printAssetTypeOptionsId);

	html = 
		'<SELECT size="1" name="' + printAssetTypeId + '" id="' + printAssetTypeId + '">' +
		'<OPTION value="-1"><%=rb.getString("ibmct.ui.print.asset.type.prompt")%></OPTION>' +
		'</SELECT>';
	
	obj.innerHTML = html;

	disableElement(printAssetTypeId);
		
	// init the count
	document.getElementById(printCountId).value = "1";
	
	// init the print max count
	var jsonObj = ibmctAjaxGetProperty("<%=PrintAction.PROPERTY_PRINTER_MAX_COUNT%>", "<%=PrintAction.PROPERTY_PRINTER_MAX_COUNT_DEFAULT%>");

	printMaxCount = decodeURIComponent(jsonObj.property.value);
	
	// init the reprint printers
	var obj = document.getElementById(reprintPrinterOptionsId);

	html = 
		'<SELECT size="1" name="' + reprintPrinterId + '" id="' + reprintPrinterId + '">' +
		'<OPTION value="-1"><%=rb.getString("ibmct.ui.reprint.printer.prompt")%></OPTION>' +
		printerOptions +
		'</SELECT>';

	obj.innerHTML = html;

	// init the reprint EPC profiles
	var obj = document.getElementById(reprintEpcProfileOptionsId);

	html = 
		'<SELECT size="1" name="' + reprintEpcProfileId + '" id="' + reprintEpcProfileId + '" onchange="onchangeReprintEpcProfile()">' +
		'<OPTION value="-1"><%=rb.getString("ibmct.ui.reprint.epc.profile.prompt")%></OPTION>' +
		profileOptions +
		'</SELECT>';

	obj.innerHTML = html;
	
	// init the tag ID
	document.getElementById(reprintTagidId).value = "";
}

function onchangePrintEpcProfile() {
	var epcProfileIdValue = getElementValue(printEpcProfileId);
	if (epcProfileIdValue == -1) {
		// disable the print asset types
		setElementIndex(printAssetTypeId, 0);
		disableElement(printAssetTypeId);
		
		return;
	}
	
	// init the print asset types
	var jsonObj = ibmctAjaxGetAssetTypes(getElementValue(printEpcProfileId));
	
	var assetTypesCount = jsonObj.assetTypes.length;
	
	var assetTypesOptions = "";
	
	for (var i=0; i<assetTypesCount; i++) {
		assetTypeId = decodeURIComponent(jsonObj.assetTypes[i].id);
		assetTypeDescription = decodeURIComponent(jsonObj.assetTypes[i].description);
		assetTypeHidden = decodeURIComponent(jsonObj.assetTypes[i].hidden);
		
		if (assetTypeHidden != "true") {
			assetTypesOptions += '<OPTION value="' + assetTypeId + '">' + assetTypeDescription + '</OPTION>';
		}
	}

	var obj = document.getElementById(printAssetTypeOptionsId);

	html = 
		'<SELECT size="1" name="' + printAssetTypeId + '" id="' + printAssetTypeId + '">' +
		'<OPTION value="-1"><%=rb.getString("ibmct.ui.print.asset.type.prompt")%></OPTION>' +
		assetTypesOptions +
		'</SELECT>';
	
	obj.innerHTML = html;
	
	// enable the asset types
	setElementIndex(printAssetTypeId, 0);
	enableElement(printAssetTypeId);
	
	// display a message if there are no assets for the selected EPC profile
	if (assetTypesCount == 0) {
		alert("<%=rb.getString("ibmct.ui.print.error.no.asset.type")%>");
	}
}

function onchangeReprintEpcProfile() {
	var epcProfileIdValue = getElementValue(reprintEpcProfileId);
	if (epcProfileIdValue == -1) {
		return;
	}
}

function doPrint() {
	if (!validatePrint()) {
		return false;
	}
	
	printerId = getElementValue(printPrinterId);
	epcProfileId = getElementValue(printEpcProfileId);
	assetTypeId = getElementValue(printAssetTypeId);
	count = getElementValue(printCountId);

	jsonObj = ibmctAjaxPrint(printerId, epcProfileId, assetTypeId, count);

	if (typeof jsonObj.statusMessage != "undefined") {
		result = formatMessage('<%=rb.getString("ibmct.ui.action.result")%>', jsonObj.statusMessage);
		alert(decodeURIComponent(result));
	}
}

function validatePrint() {
	// is the Print button enabled?
	if (document.getElementById(printSubmitId).disabled == true) {
		return false;
	}
	
	// is a printer selected?
	if (!validateSelectedIndex(printPrinterId, '<%=rb.getString("ibmct.ui.print.error.printer")%>', 0)) {
		return false;
	}
	
	// is an EPC profile selected?
	if (!validateSelectedIndex(printEpcProfileId, '<%=rb.getString("ibmct.ui.print.error.epc.profile")%>', 0)) {
		return false;
	}
	
	// is an asset type selected?
	if (!validateSelectedIndex(printAssetTypeId, '<%=rb.getString("ibmct.ui.print.error.asset.type")%>', 0)) {
		return false;
	}
	
	// is the count numbers only?
	if (!validateValueNumeric(printCountId, '<%=rb.getString("ibmct.ui.print.error.count")%>')) {
		return false;
	}
	
	// is the count < 1
	message = formatMessage('<%=rb.getString("ibmct.ui.print.error.count.min")%>', 0);
	if (!validateValueMin(printCountId, message, 1)) {
		return false;
	}
	
	// is the count > the max?
	message = formatMessage('<%=rb.getString("ibmct.ui.print.error.count.max")%>', parseInt(printMaxCount));
	if (!validateValueMax(printCountId, message, parseInt(printMaxCount))) {
		return false;
	}

	return true;
}

function doReprint() {
	if (!validateReprint()) {
		return false;
	}
	
	printerId = getElementValue(reprintPrinterId);
	epcProfileId = getElementValue(reprintEpcProfileId);
	tagId = getElementValue(reprintTagidId);

	var jsonObj = ibmctAjaxReprint(printerId, epcProfileId, tagId);
	
	if (typeof jsonObj.statusMessage != "undefined") {
		result = formatMessage('<%=rb.getString("ibmct.ui.action.result")%>', jsonObj.statusMessage);
		alert(decodeURIComponent(result));
	}
}

function validateReprint() {
	// is the Reprint button enabled?
	if (document.getElementById(reprintSubmitId).disabled == true) {
		return false;
	}
	
	// is a printer selected?
	if (!validateSelectedIndex(reprintPrinterId, '<%=rb.getString("ibmct.ui.reprint.error.printer")%>', 0)) {
		return false;
	}
	
	// is an EPC profile selected?
	if (!validateSelectedIndex(reprintEpcProfileId, '<%=rb.getString("ibmct.ui.reprint.error.epc.profile")%>', 0)) {
		return false;
	}
	
	// is a tagID entered?
	if (!validateValueNotEmpty(reprintTagidId, '<%=rb.getString("ibmct.ui.reprint.error.tagid.empty")%>')) {
		return false;
	}
	
	// remove non-alphanumeric characters from the Reprint's tag ID
	removeNonAlphaNumericsFromElementValue(reprintTagidId);
	
	return true;
}

// -->
</SCRIPT>

<DIV id="printPage" style="display:none">

<FIELDSET>
<LEGEND><%=rb.getString("ibmct.ui.print.group")%></LEGEND>
<FORM method="post" name="IBMCTPrintForm" id="IBMCTPrintForm" action="../index.jsp" onsubmit="doPrint(); return false;">
<TABLE>
	<CAPTION><%=rb.getString("ibmct.ui.print.group")%></CAPTION>
	
	<TR>
		<TH scope="row"><LABEL for="<%=PrintAction.PRINTER%>"><%=rb.getString("ibmct.ui.print.printer")%></LABEL></TH>
		<TD>
			<DIV id="<%=PrintAction.UI_PRINTER_OPTIONS%>"></DIV>
		</TD>
	</TR>
	
	<TR>
		<TH scope="row"><LABEL for="<%=PrintAction.EPC_PROFILE%>"><%=rb.getString("ibmct.ui.print.epc.profile")%></LABEL></TH>
		<TD>
			<DIV id="<%=PrintAction.UI_EPC_PROFILE_OPTIONS%>"></DIV>
		</TD>
	</TR>
	
	<TR>
		<TH scope="row"><LABEL for="<%=PrintAction.ASSET_TYPE%>"><%=rb.getString("ibmct.ui.print.asset.type")%></LABEL></TH>
		<TD>
			<DIV id="<%=PrintAction.UI_ASSET_TYPE_OPTIONS%>"></DIV>
		</TD>
	</TR>
	
	<TR>
		<TH scope="row"><LABEL for="<%=PrintAction.COUNT%>"><%=rb.getString("ibmct.ui.print.count")%></LABEL></TH>
		<TD>
			<INPUT type="text" name="<%=PrintAction.COUNT%>" id="<%=PrintAction.COUNT%>" value="1">
		</TD>
	</TR>
	
	<TR>
		<TD colspan="2">
			<BR>
			<INPUT type="button" id="<%=PrintAction.UI_SUBMIT%>" value="<%=rb.getString("ibmct.ui.print.submit")%>" onclick="doPrint()"/>
		</TD>
	</TR>
</TABLE>
</FORM>
</FIELDSET>

<BR>

<FIELDSET>
<LEGEND><%=rb.getString("ibmct.ui.reprint.group")%></LEGEND>
<FORM method="post" name="IBMCTReprintForm" id="IBMCTReprintForm" action="../index.jsp" onsubmit="doReprint(); return false;">
<TABLE>
	<CAPTION><%=rb.getString("ibmct.ui.reprint.group")%></CAPTION>

	<TR>
		<TH scope="row"><LABEL for="<%=ReprintAction.PRINTER%>"><%=rb.getString("ibmct.ui.reprint.printer")%></LABEL></TH>
		<TD>
			<DIV id="<%=ReprintAction.UI_PRINTER_OPTIONS%>"></DIV>
		</TD>
	</TR>
	
	<TR>
		<TH scope="row"><LABEL for="<%=ReprintAction.EPC_PROFILE%>"><%=rb.getString("ibmct.ui.reprint.epc.profile")%></LABEL></TH>
		<TD>
			<DIV id="<%=ReprintAction.UI_EPC_PROFILE_OPTIONS%>"></DIV>
		</TD>
	</TR>
	
	<TR>
		<TH scope="row"><LABEL for="<%=ReprintAction.TAGID%>"><%=rb.getString("ibmct.ui.reprint.tagid")%></LABEL></TH>
		<TD>
			<INPUT type="text" name="<%=ReprintAction.TAGID%>" id="<%=ReprintAction.TAGID%>">
		</TD>
	</TR>
	
	<TR>
		<TD colspan="2">
			<BR>
			<INPUT type="button" id="<%=ReprintAction.UI_SUBMIT%>" value="<%=rb.getString("ibmct.ui.reprint.submit")%>" onclick="doReprint()"/>
		</TD>
	</TR>
</TABLE>
</FORM>
</FIELDSET>

</DIV>



