<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%
 /*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2008  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code 
 * created by IBM Corporation.  This sample code is part of the 
 * WebSphere Premises Server and is warranted to perform its 
 * intended function only if used un-modified.  If you modify 
 * this code then it is considered provided "AS IS", without 
 * warranty of any kind.  Notwithstanding the foregoing, IBM 
 * shall not be liable for any damages arising out of your use 
 * of the sample code, even if they have been advised of the 
 * possibility of such damages.
 */
%>

<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page errorPage="/error.jsp" %>
<%@page import="com.ibm.premises.ct.servlets.actions.ReportAction" %>
<%@page import="java.util.ResourceBundle" %>

<%
ResourceBundle rb = ResourceBundle.getBundle("com.ibm.premises.ct.ui.resources.Messages");
%>

<HTML lang="<%=rb.getString("ibmct.ui.language")%>" dir="<%=rb.getString("ibmct.ui.direction")%>">

<HEAD>
<TITLE><%=rb.getString("ibmct.ui.title")%></TITLE>
<LINK href="/ibmct/theme/Master.css" rel="stylesheet" type="text/css">
<LINK href="/ibmct/theme/stylesheet.css" rel="stylesheet" type="text/css">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<SCRIPT language="JavaScript" src="../misc/ajax.js"></SCRIPT>
<SCRIPT language="JavaScript" src="../misc/ibmctAjax.js"></SCRIPT>
<SCRIPT language="JavaScript" src="../misc/notebookWizard.js"></SCRIPT>
<SCRIPT language="JavaScript" src="../misc/utils.js"></SCRIPT>
<SCRIPT language="JavaScript">
<!--

//window.onerror = function(msg, url, l) {
//	alert("Error: " + msg + "\nURL: " + url + "\nLine: " + l);
//	return true;
//}

// -->
</SCRIPT>
</HEAD>

<BODY>
<SCRIPT language="JavaScript">
<!--
var reportStartDateId = "<%=ReportAction.UI_START_DATE%>";
var reportEndDateId = "<%=ReportAction.UI_END_DATE%>";
var reportSubmitId = "<%=ReportAction.UI_SUBMIT_REPORT%>";
var reportMessageId = "<%=ReportAction.UI_MESSAGE_ID%>";
var reportLocationsDivId = "<%=ReportAction.UI_LOCATIONS%>";
var reportLocationId = "<%=ReportAction.ATTR_LOCATION%>";
var reportDateFormat = "";

function getReportDateFormat() {
	if (reportDateFormat == "") {
		var jsonObj = ibmctAjaxGetReportDateFormat();
		reportDateFormat = decodeURIComponent(jsonObj.report.dateFormat);
	}

	return reportDateFormat;
}

function initObserveReport() {
	reportDateFormat = getReportDateFormat();

	var jsonObjLocations = ibmctAjaxGetLocations();
	
	var locations = "";		
		
	for (var i=0; i<jsonObjLocations.locations.length; i++) {
		locations +=
			'<OPTION value="' + jsonObjLocations.locations[i].id + '">' + jsonObjLocations.locations[i].description + '</OPTION>';
	}
	
	var html = 
		'<SELECT size="1" name="' + reportLocationId + '" id="' + reportLocationId + '">' +
		'<OPTION value="<%=ReportAction.UI_LOCATION_ALL%>"><%=rb.getString("ibmct.ui.report.all.locations")%></OPTION>' +
		locations +
		'</SELECT>';
	
	var obj = document.getElementById(reportLocationsDivId);
	obj.innerHTML = html
}

function validateObserveReport() {
	// is the start date empty?
	if (isEmpty(getElementValue(reportStartDateId))) {
		alert("<%=rb.getString("ibmct.ui.report.error.start.date.required")%>");
		setElementFocus(reportStartDateId);
		return false;
	}
	
	// is the end date empty?
	if (isEmpty(getElementValue(reportEndDateId))) {
		alert("<%=rb.getString("ibmct.ui.report.error.end.date.required")%>");
		setElementFocus(reportEndDateId);
		return false;
	}
	
	// validate start date
	val = getElementValue(reportStartDateId);
	vdtr = hX.getValidatorById("VSD");
	if (!vdtr.validate(val, "CSD")) {
		invalidStartDate();
		setElementFocus(reportStartDateId);
		return false;
	}
	
	// validate end date
	val = getElementValue(reportEndDateId);
	vdtr = hX.getValidatorById("VED");
	if (!vdtr.validate(val, "CED")) {
		invalidEndDate();
		setElementFocus(reportEndDateId);
		return false;
	}
	
	return true;
}

function doObserveReport() {
	if (!validateObserveReport()) {
		return false;
	}
	
	observeReportLocationId = getElementValue(reportLocationId);
	observeReportStartDate = getElementValue(reportStartDateId);
	observeReportEndDate = getElementValue(reportEndDateId);

	// show the 'please wait' message
	document.getElementById(reportMessageId).style.display = "inline";
	
	// disable the controls
	disableElement(reportLocationId);
	disableElement(reportStartDateId);
	disableElement(reportEndDateId);
	disableElement(reportSubmitId);
	
	// process the report
	ibmctAjaxObserveHistoryReport(observeReportLocationId, observeReportStartDate, observeReportEndDate, getReportLocation(), reportMessageId, reportLocationId, reportStartDateId, reportEndDateId, reportSubmitId);
	
	return false;
}

function getReportLocation() {
	// get the report location
	var jsonObj = ibmctAjaxGetProperty("<%=ReportAction.PROP_REPORT_LOCATION%>", "<%=ReportAction.PROP_REPORT_LOCATION_DEFAULT%>");
	reportLocation = decodeURIComponent(jsonObj.property.value);
	lastChar = reportLocation.charAt(reportLocation.length - 1);
	if (lastChar != '/' && lastChar != '\\') {
		reportLocation += '/';
	}
	
	return reportLocation;
}

function invalidStartDate(thisObj, thisEvent) {
//use 'thisObj' to refer directly to this component instead of keyword 'this'
//use 'thisEvent' to refer to the event generated instead of keyword 'event'
	message = formatMessage("<%=rb.getString("ibmct.ui.report.error.start.date.format")%>", reportDateFormat);
	alert(message);
	setElementFocus(reportStartDateId);
	return false;
}

function invalidEndDate(thisObj, thisEvent) {
//use 'thisObj' to refer directly to this component instead of keyword 'this'
//use 'thisEvent' to refer to the event generated instead of keyword 'event'
	message = formatMessage("<%=rb.getString("ibmct.ui.report.error.end.date.format")%>", reportDateFormat);
	alert(message);
	setElementFocus(reportEndDateId);
	return false;
}

// -->
</SCRIPT>
<SCRIPT type="text/JavaScript" language="JavaScript" src="/ibmct/.ibmjsfres/hxclient_v3_0_7.js"></script>

<%
    String s = request.getHeader("Accept-Language");
    if (s.indexOf(",") >=0) s = s.substring(0,s.indexOf(","));
    String ss = s;
    if (ss.indexOf("-") >=0) ss = ss.substring(0,ss.indexOf("-"));
    String src = new String("hxclient_S_v3_0_7.js");
    String enc = new String("ISO-8859-1");
    // The encoding must be an ISO encoding and not UTF-8 for the 
    // JSF date picker to work properly
    if (ss.equalsIgnoreCase("de")) {
        src = "hxclient_S_v3_0_7_de.js";    
        enc = "ISO-8859-1";
    } else if (ss.equalsIgnoreCase("es")) {
        src = "hxclient_S_v3_0_7_es.js";
        enc = "ISO-8859-1";
    } else if (ss.equalsIgnoreCase("fr")) {
        src = "hxclient_S_v3_0_7_fr.js";
        enc = "ISO-8859-1";
    } else if (ss.equalsIgnoreCase("it")) {
        src = "hxclient_S_v3_0_7_it.js";
        enc = "ISO-8859-1";
    } else if (ss.equalsIgnoreCase("ja")) {
        src = "hxclient_S_v3_0_7_ja.js";
        enc = "SJIS";
    } else if (ss.equalsIgnoreCase("ko")) {
        src = "hxclient_S_v3_0_7_ko.js";
        enc = "KSC5601";
    } else if (ss.equalsIgnoreCase("pt")) {
        src = "hxclient_S_v3_0_7_pt_BR.js";
        enc = "ISO-8859-1";
    } else if (s.equalsIgnoreCase("zh-TW")) {
        src = "hxclient_S_v3_0_7_zh_TW.js";
        enc = "big5";
    } else if (ss.equalsIgnoreCase("zh")) {
        src = "hxclient_S_v3_0_7_zh_CN.js";
        enc = "GBK";
    } else {
        src = "hxclient_S_v3_0_7.js";
        enc = "ISO-8859-1";
    }
%>
<SCRIPT charset="<%=enc%>" language="JavaScript" src="/ibmct/.ibmjsfres/<%=src%>"></SCRIPT>

<H2><%=rb.getString("ibmct.ui.report.observe.history")%></H2>

<P id="<%=ReportAction.UI_MESSAGE_ID%>" class="infoMessage" style="display:none"><%=rb.getString("ibmct.ui.report.wait.data")%></P>

<FORM method="post" action="#" id="reportObserveReportForm" name="reportObserveReportName" onsubmit="return false">
<TABLE>
<CAPTION><%=rb.getString("ibmct.ui.report.observe.history")%></CAPTION>

<TR>
<TH scope="row"><LABEL for="<%=ReportAction.ATTR_LOCATION%>"><%=rb.getString("ibmct.ui.report.location")%></LABEL></TH>
<TD>
<DIV id="<%=ReportAction.UI_LOCATIONS%>"></DIV>
</TD>
</TR>

<TR>
<TH scope="row"><LABEL for="<%=ReportAction.UI_START_DATE%>"><%=rb.getString("ibmct.ui.report.start.date")%></LABEL></TH>
<TD>
<INPUT type="text" name="<%=ReportAction.UI_START_DATE%>" id="<%=ReportAction.UI_START_DATE%>" value="">
			    <SCRIPT type="text/javascript" language="JavaScript">
					hX_5.addConverter("CSD", new hX_5.DateTimeConverter("strict:2", "format:"+getReportDateFormat()));
					hX_5.addComponent("<%=ReportAction.UI_START_DATE%>", new hX_5.JSFDatePicker("converter:CSD"));
					hX_5.addValidator("VSD", new hX_5.DateTimeValidator());
					hX_5.addBehavior("<%=ReportAction.UI_START_DATE%>", "onblur", new hX_5.JSFBehaviorValidate("default-class:inputText", "converter:CSD", "validator:VSD", "error-function:return invalidStartDate(this, event);", "error-class:inputText_Error", "error-action:selected"));
			    </SCRIPT>	
</TD>
</TR>

<TR>
<TH scope="row"><LABEL for="<%=ReportAction.UI_END_DATE%>"><%=rb.getString("ibmct.ui.report.end.date")%></LABEL></TH>
<TD>
<INPUT type="text" name="<%=ReportAction.UI_END_DATE%>" id="<%=ReportAction.UI_END_DATE%>" value="">
			    <SCRIPT type="text/javascript" language="JavaScript">
					hX_5.addConverter("CED", new hX_5.DateTimeConverter("strict:2", "format:"+getReportDateFormat()));
					hX_5.addComponent("<%=ReportAction.UI_END_DATE%>", new hX_5.JSFDatePicker("converter:CED"));
					hX_5.addValidator("VED", new hX_5.DateTimeValidator());
					hX_5.addBehavior("<%=ReportAction.UI_END_DATE%>", "onblur", new hX_5.JSFBehaviorValidate("default-class:inputText", "converter:CED", "validator:VED", "error-function:return invalidEndDate(this, event);", "error-class:inputText_Error", "error-action:selected"));
			    </SCRIPT>
</TD>
</TR>

</TABLE>

<BR>
<INPUT type="button" value="<%=rb.getString("ibmct.ui.report.submit.observe.history.report")%>" id="<%=ReportAction.UI_SUBMIT_REPORT%>" onclick="doObserveReport()">
</FORM>

<SCRIPT type="text/javascript" language="JavaScript">
    if (hX_5) hX_5.onPageLoad();
    
    initObserveReport();
</SCRIPT>

</BODY>

</HTML>
